Subject: Re: [PATCH V2 0/3] powerpc: Fix random application crashes with NUMA_BALANCING enabled

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 14 Feb 2014 16:41:41 +1100

On Thu, 2014-02-13 at 15:06 -0800, Andrew Morton wrote:
> On Wed, 12 Feb 2014 09:13:35 +0530 "Aneesh Kumar K.V" <[email-masked]> wrote:
> 
> > Hello,
> > 
> > This patch series fix random application crashes observed on ppc64 with numa
> > balancing enabled. Without the patch we see crashes like
> > 
> > anacron[14551]: unhandled signal 11 at 0000000000000041 nip 000000003cfd54b4 lr 000000003cfd5464 code 30001
> > anacron[14599]: unhandled signal 11 at 0000000000000041 nip 000000003efc54b4 lr 000000003efc5464 code 30001
> > 
> 
> Random application crashes are bad.  Which kernel version(s) do you think
> need fixing here?
> 
> I grabbed the patches but would like to hear from Ben (or something
> approximating him) before doing anything with them, please.

Ah good. Did you grab v2 ? v1 had a compile breakage. I was about to
send them to Linus today as well but then got distracted by a sick
child, so I'm happy for you to pick them up and send them to the
boss :-)

Cheers,
Ben.